Loading...
Searching...
No Matches
thread.h File Reference
`#include <common/utils.h>`
`#include <core/simgrid.h>`

Go to the source code of this file.

## Macros

#define | starpu_pthread_spin_init
#define | starpu_pthread_spin_destroy
#define | starpu_pthread_spin_lock
#define | starpu_pthread_spin_trylock
#define | starpu_pthread_spin_unlock

## Functions

static int | _starpu_pthread_spin_init (starpu_pthread_spinlock_t *lock, int pshared STARPU_ATTRIBUTE_UNUSED)
static int | _starpu_pthread_spin_destroy (starpu_pthread_spinlock_t *lock STARPU_ATTRIBUTE_UNUSED)
static int | _starpu_pthread_spin_lock (starpu_pthread_spinlock_t *lock)
static void | _starpu_pthread_spin_checklocked (starpu_pthread_spinlock_t *lock STARPU_ATTRIBUTE_UNUSED)
static int | _starpu_pthread_spin_trylock (starpu_pthread_spinlock_t *lock)
static int | _starpu_pthread_spin_unlock (starpu_pthread_spinlock_t *lock)